VCS: https://gitlab.cern.ch/linuxsupport/rpms/cern-linuxsupport-access/-/tree/7b1b7a33063a6d4433ea3b05c3db206e80c6afde
Name: cern-linuxsupport-access
Version: 1.8
Release: 1%{?dist}
Summary: control root access for CERN Linux.Support personnel
Group: Applications/System
Source: %{name}-%{version}.tgz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

Requires: grep, coreutils, diffutils

%description
%{name} can be used to enable/disable root access to the
machine by CERN Linux.Support personnel.

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 %{name} $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
sort authorized_keys > $RPM_BUILD_ROOT/%{_datadir}/%{name}/authorized_keys
sort k5login > $RPM_BUILD_ROOT/%{_datadir}/%{name}/k5login

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/%{name}
%{_datadir}/%{name}/authorized_keys
%{_datadir}/%{name}/k5login

%changelog
* Mon Sep 12 2022 Alex Iribarren <Alex.Iribarren@cern.ch> - 1.8-1
- Clean up keys, added alisboav

* Fri Jan 28 2022 Alex Iribarren <Alex.Iribarren@cern.ch> - 1.7-1
- Remove jrische, add my ssh key (again ¬¬)

* Tue Nov 23 2021 Georgios Argyriou <georgios.argyriou@cern.ch> - 1.6-1
- Add geargyri

* Wed Jun 02 2021 Daniel Juarez <djuarezg@cern.ch> - 1.5-1
- Remove dabadaba

* Tue Apr 06 2021 Ben Morrice <ben.morrice@cern.ch> - 1.4-1
- Fix detect_puppet routine

* Tue Dec 15 2020 Alex Iribarren <Alex.Iribarren@cern.ch> - 1.3-1
- Detect puppet-managed machines and show a warning
- Removed damoreno

* Tue Mar 24 2020 Alex Iribarren <Alex.Iribarren@cern.ch> - 1.2-1
- Added jrische

* Tue Nov 19 2019 Alex Iribarren <Alex.Iribarren@cern.ch> - 1.1-1
- Removed toulevey

* Tue Nov 12 2019 Daniel Juarez <djuarezg@cern.ch> - 1.0-2
- Add djuarezg

* Wed Jul 03 2019 Thomas Oulevey <thomas.oulevey@cern.ch> - 1.0-1
- Add morrice,dabadaba,airibarr

* Mon May 29 2017 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.7-3
- Replaced Dominique key

* Mon May 22 2017 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.7-2
- Removed Akos
- Added Dominique

* Tue Mar 1 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 0.6-1
- Adding IT/CM/LCS rota members.

* Fri Jul 6 2012 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.5-2
- Added mpetit

* Mon May 23 2012 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.5-1
- Fix SVN version

* Mon May 21 2012 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.3-3
- Add Christa
- Add Thibaut
- Replaced toulevey key

* Mon Mar 19 2012 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.4-0
- fix SElinux context for /root/.k5login

* Mon Jan 16 2012 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.3-2
- add Thomas's credentials

* Tue Aug 16 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.3-1
- remove Peter's credentials

* Thu Jul 14 2010  KELEMEN Peter <Peter.Kelemen@cern.ch> - 0.2-1
- properly clean up temporary files on all error paths

* Thu Jul  8 2010  KELEMEN Peter <Peter.Kelemen@cern.ch> - 0.1-1
- initial release
